Subject: Re: bug#7330: 24.0.50; Gnus: Symbol's function definition is void

From: Reiner Steib <[email-masked]>
Date: Fri, 05 Nov 2010 09:50:21 +0100

On Thu, Nov 04 2010, Rares Vernica wrote:

> I open Gnus and it checks for new emails. Everything works fine and all
> the groups are displayed. When I try to enter a group I get the flowing
> error message:
>
> insert: Symbol's function definition is void: gnus-user-format-function-b
>
> M-x toggle-debug-on-error:
>
> Debugger entered--Lisp error: (void-function gnus-user-format-function-b)
>   (gnus-user-format-function-b gnus-tmp-header)

`bbdb-insinuate-gnus' defines this alias (in BBDB 2.35):

,----[ <f1> f gnus-user-format-function-b RET ]
| gnus-user-format-function-b is an alias for 
| `bbdb/gnus-summary-author-in-bbdb'.
| (gnus-user-format-function-b HEADER)
| 
| Given a Gnus message header, returns a mark if the poster is in the
| BBDB, " " otherwise.  The mark itself is the value of the field
| indicated by `bbdb-message-marker-field' (`mark-char' by default) if
| the indicated field is in the poster's record, and
| `bbdb/gnus-summary-known-poster-mark' otherwise.
`----

> This might also be related. If I have BBDB enabled I get the following
> error message when Gnus starts:
>
> Symbol's function definition is void: bbdb-insinuate-gnus
>
> I had to disable BBDB in order to get emacs to load.

Probably you didn't install and BBDB correctly.

Bye, Reiner.
-- 
       ,,,
      (o o)
---ooO-(_)-Ooo---  |  PGP key available  |  http://rsteib.home.pages.de/